/*
 * \brief  HTTP status codes
 * \author Timo Nicolai
 * \date   2023-06-01
 */

/*
 * Copyright (C) 2023 gapfruit AG
 */

#pragma once

namespace HTTP {

using Status_code = Genode::uint16_t;

enum : Status_code
{
	STATUS_OK = 200,
	STATUS_CREATED = 201,
	STATUS_BAD_REQUEST = 400,
	STATUS_NOT_FOUND = 404,
	STATUS_INTERNAL_SERVER_ERROR = 500,
};

inline bool okay(Status_code response_code)
{
	return response_code >= 200 && response_code < 300;
}

}
